Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class Pwd

    java.lang.Object
      |
      +--com.caucho.vfs.Pwd

public final class Pwd
extends java.lang.Object

Deprecated: use the Vfs facade instead.

Method Summary
`static Path` | `lookup()` Returns a path for the current directory.
`static Path` | `lookup(java.lang.String url)` Returns a new path relative to the current directory.
`static Path` | `lookup(java.lang.String url, java.util.Map attr)` Returns a new path, including attributes.
`static Path` | `lookupNative(java.lang.String url)` Returns a path using the native filesystem conventions.
`static Path` | `lookupNative(java.lang.String url, java.util.Map attr)` Returns a native filesystem path with attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### lookup

    public static Path lookup(java.lang.String url)

  Returns a new path relative to the current directory.
  Parameters:
    `url` - a relative or absolute url
  Returns:
    the new path.

### lookup

    public static Path lookup()

  Returns a path for the current directory.

### lookup

    public static Path lookup(java.lang.String url,
                              java.util.Map attr)

  Returns a new path, including attributes.

  For example, an application may want to set locale headers for an HTTP request.

  Parameters:
    `url` - the relative url
    `attr` - attributes used in searching for the url

### lookupNative

    public static Path lookupNative(java.lang.String url)

  Returns a path using the native filesystem conventions.

  For example, on windows ``

       Path path = Pwd.lookup("d:\\temp\\test.html");

  Parameters:
    `url` - a relative path using the native filesystem conventions.

### lookupNative

    public static Path lookupNative(java.lang.String url,
                                    java.util.Map attr)

  Returns a native filesystem path with attributes.
  Parameters:
    `url` - a relative path using the native filesystem conventions.
    `attr` - attributes used in searching for the url

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD